This page provides information for System Administrators using the Montana Comprehensive Assessment System.

Welcome, Technology Coordinators!

This page provides information for System Administrators using the Montana Comprehensive Assessment System.

Announcements

  • Chrome Version 72 Now Supported

    Google released a new dot version of ChromeOS v72, version 72.0.3626.119. AIR has confirmed this version resolved the previously identified issue that prevented users from accessing AIR testing sites. If your school had already upgraded to v72, please ensure you upgrade to this or a later dot version of 72. If your school has not upgraded to v72, you may do so at your discretion, ensuring you upgrade to this or a later dot version of 72.

    Added February 27, 2019
  • Chrome Version 72 – Unable to Access AIR Testing Sites

    Google released a new Chrome version on Friday and AIR has identified an issue with Chrome version 72 that prevents users from accessing AIR testing sites. Google and AIR are currently working on a fix. Chromebooks on ChromeOS v71 or earlier are not affected. If you are on a version of ChromeOS earlier than 72, do not upgrade your devices to ChromeOS v72. It is also recommended that you turn off auto-updates to prevent this upgrade before a fix is identified.

    If your district has already upgraded devices to Chrome version 72, another platform will need to be used to test until a fix is released. Once the fix is released by Google and AIR confirms that this issue is resolved, we will post notification that users may upgrade to 72.

    Added February 13, 2019
  • Reminder: Update Secure Browser for MacOS

    This is a reminder that support for the MacOS Secure Browser 10.4 will be discontinued after Friday, December 28. Please download and update your secure browser if you are using a MacOS device.

    Added December 19, 2018
  • New Secure Browser for MacOS (Action Required)

    The new Secure Browser for MacOS is now available. Please download and update your secure browser. All users with devices running MacOS must update to the new Secure Browser 10.6. Support for the current Secure Browser 10.4 will be discontinued after Friday, December 28.

    Added December 3, 2018
  • New Secure Browser for MacOS (Action Required)

    A security issue was found during the testing of the latest version of MacOS 10.14 (Mojave) and MacOS 10.13 (High Sierra). All users with devices running MacOS must update to the new Secure Browser 10.6, which will be available for download on December 3.This new browser will be required for all versions of MacOS that are currently supported (10.9+) and support for the current Secure Browser 10.4 will be discontinued after Friday, December 28.

    Added November 27, 2018

Key Documents